Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ClassObjectDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.SchemaObjectDefinition

                  |

                  +--oracle.ifs.beans.ClassObjectDefinition

public class ClassObjectDefinition
extends SchemaObjectDefinition

A ClassObjectDefinition is a template for creating a new ClassObject.

Constructor Summary
`ClassObjectDefinition(LibrarySession session)` Constructs a ClassObjectDefinition.

Method Summary
`void` | `addAttributeDefinition(AttributeDefinition definition)` Defines an Attribute for the new ClassObject.
`AttributeDefinition[]` | `getAttributeDefinitions()` Gets the Attributes defined for the new ClassObject.
`ClassObject` | `getSuperclass()` Gets the superclass of the new ClassObject.
`void` | `setSuperclass(ClassObject superclass)` Sets the superclass of the new ClassObject.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### ClassObjectDefinition

    public ClassObjectDefinition(LibrarySession session)
                          throws IfsException

  Constructs a ClassObjectDefinition.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setSuperclass

    public final void setSuperclass(ClassObject superclass)
                             throws IfsException

  Sets the superclass of the new ClassObject.
  Parameters:
    `superclass` - the superclass
  Throws:
    `IfsException` - if the operation fails

### getSuperclass

    public final ClassObject getSuperclass()
                                    throws IfsException

  Gets the superclass of the new ClassObject.
  Returns:
    the superclass
  Throws:
    `IfsException` - if the operation fails

### addAttributeDefinition

    public final void addAttributeDefinition(AttributeDefinition definition)
                                      throws IfsException

  Defines an Attribute for the new ClassObject.
  Parameters:
    `definition` - the AttributeDefinition
  Throws:
    `IfsException` - if the operation fails

### getAttributeDefinitions

    public final AttributeDefinition[] getAttributeDefinitions()
                                                        throws IfsException

  Gets the Attributes defined for the new ClassObject.
  Returns:
    the AttributeDefinitions
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD